GetConnectorSyncDownloadURL
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Connector.GetConnectorSyncDownloadURL(ctx, operations.C1APIAppV1ConnectorServiceGetConnectorSyncDownloadURLRequest{
AppID: "<id>",
ConnectorID: "<id>",
SyncID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.GetConnectorSyncDownloadURLResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.connector.getConnectorSyncDownloadURL({
appId: "<id>",
connectorId: "<id>",
syncId: "<id>",
});
console.log(result);
}
run();curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/syncs/{sync_id}/download_url \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/syncs/{sync_id}/download_url"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/syncs/{sync_id}/download_url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"downloadUrl": "<string>"
}Connector
Get Connector Sync Download Url
GetConnectorSyncDownloadURL generates a short-lived download URL for a completed connector sync artifact.
GET
/
api
/
v1
/
apps
/
{app_id}
/
connectors
/
{connector_id}
/
syncs
/
{sync_id}
/
download_url
GetConnectorSyncDownloadURL
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Connector.GetConnectorSyncDownloadURL(ctx, operations.C1APIAppV1ConnectorServiceGetConnectorSyncDownloadURLRequest{
AppID: "<id>",
ConnectorID: "<id>",
SyncID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.GetConnectorSyncDownloadURLResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.connector.getConnectorSyncDownloadURL({
appId: "<id>",
connectorId: "<id>",
syncId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The appId field.
The connectorId field.
The syncId field.
Response
200 - application/json
Successful response
The GetConnectorSyncDownloadURLResponse message.
Short-lived download URL for the connector sync artifact
Was this page helpful?
⌘I